curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/user/roles \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": [
{
"id": "320bf21d-7b31-4b31-93ef-1a2e9f93f8a9",
"tenantId": "8fcca66f-5b95-4f54-a8fd-b1c27dd092ef",
"tenantRoleId": "9c9bd186-23f1-4f5f-877f-b25aad685652",
"roleName": "pine begonia",
"autoProvisioned": false,
"instanceId": "5863ab84-7099-4ac2-8b48-f24f1b21b4a3",
"createdOn": "2026-01-11T22:33:40.204Z",
"deletedOn": "2025-05-31T10:27:33.998Z",
"updatedOn": "2026-01-12T03:25:36.185Z"
}
]
}curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/user/roles \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": [
{
"id": "320bf21d-7b31-4b31-93ef-1a2e9f93f8a9",
"tenantId": "8fcca66f-5b95-4f54-a8fd-b1c27dd092ef",
"tenantRoleId": "9c9bd186-23f1-4f5f-877f-b25aad685652",
"roleName": "pine begonia",
"autoProvisioned": false,
"instanceId": "5863ab84-7099-4ac2-8b48-f24f1b21b4a3",
"createdOn": "2026-01-11T22:33:40.204Z",
"deletedOn": "2025-05-31T10:27:33.998Z",
"updatedOn": "2026-01-12T03:25:36.185Z"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
User roles retrieved successfully
Was this page helpful?